import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/classes/colors.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/extensions/widget_extensions.dart';

class OffersShimmerWidget extends StatelessWidget {
  const OffersShimmerWidget({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: SizedBox(
        width: 73,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.center,
          children: [
            Container(
              width: 73,
              height: 73,
              decoration: BoxDecoration(
                borderRadius: const BorderRadius.all(
                  Radius.circular(100),
                ),
                border: Border.all(color: MyColors.lightGreyEDColor, width: 1),
              ),
              child: ClipRRect(
                borderRadius: const BorderRadius.all(
                  Radius.circular(50),
                ),
                child: Image.network(
                  "https://play-lh.googleusercontent.com/NPo88ojmhah4HDiposucJmfQIop4z4xc8kqJK9ITO9o-yCab2zxIp7PPB_XPj2iUojo",
                  fit: BoxFit.cover,
                ).toShimmer(),
              ),
            ),
            8.height,
            Container(
              child: "Offers And Discounts".toText12(isCenter: true, maxLine: 1).toShimmer(),
            ),
          ],
        ),
      ),
    );
  }
}
